/*
 * FichaAptidaoEditorManagerFactory.java
 *
 * Created on 30 de Marco de 2004, 20:48
 */

package siprp.ficha;

import com.evolute.utils.editormanager.*;
/**
 *
 * @author  fpalma
 */
public class FichaAptidaoEditorManagerFactory
	implements EditorManagerFactory
{
	
	/** Creates a new instance of FichaAptidaoEditorManagerFactory */
	public FichaAptidaoEditorManagerFactory()
	{
	}
	
	public EditorManagerInterface createEditorManager(Editor ed, int i)
	{
		return new FichaAptidaoEditorManager( ed, i );
	}
	
	public EditorManagerInterface createEditorManager(Editor ed, int i, EditorManagerInterface[] subMan)
	{
		return new FichaAptidaoEditorManager( ed, i, subMan );
	}
	
	public EditorManagerInterface createEditorManager(Editor ed, int i, EditorManagerInterface subMan)
	{
		return new FichaAptidaoEditorManager( ed, i, subMan );
	}
	
}
